All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Interface ProxyInterface

All Superinterfaces:
  ConnectionInterface, MetadataInterface, PublicObjectInterface, java.rmi.Remote, TCPIPConnectionInterface

All Known Implementing Classes:
  OMRProxy

    public interface ProxyInterface

extends TCPIPConnectionInterface

ProxyInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`java.lang.String` | `getPath()` Returns the path for this Proxy
`java.lang.String` | `getScheme()` Returns the scheme for this Proxy
`java.lang.String` | `getURI()` Returns the URI for this proxy
`void` | `setPath(java.lang.String path)` Sets the path for this Proxy
`void` | `setScheme(java.lang.String scheme)` Sets the scheme for this Proxy
`void` | `setURI(java.lang.String uri)` Sets the URI for this Proxy

Methods inherited from interface com.sas.services.information.metadata.TCPIPConnectionInterface
`getHost, getPort, getService, setHost, setPort, setService`

Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface
`addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getScheme

    java.lang.String getScheme()
                               throws java.rmi.RemoteException

  Returns the scheme for this Proxy

  Returns:
    String representing the scheme for this proxy
  Throws:
    `java.rmi.RemoteException`

### setScheme

    void setScheme(java.lang.String scheme)
                   throws java.rmi.RemoteException

  Sets the scheme for this Proxy

  Parameters:
    `scheme` - Scheme to set for this Proxy
  Throws:
    `java.rmi.RemoteException`

### getPath

    java.lang.String getPath()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Returns the path for this Proxy

  Returns:
    String representing the path for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setPath

    void setPath(java.lang.String path)
                 throws java.rmi.RemoteException,
                        ServiceException

  Sets the path for this Proxy

  Parameters:
    `path` - Path to set for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getURI

    java.lang.String getURI()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Returns the URI for this proxy

  Returns:
    String representing the URI for this proxy
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### setURI

    void setURI(java.lang.String uri)
                throws ServiceException,
                       java.rmi.RemoteException

  Sets the URI for this Proxy

  Parameters:
    `uri` - The uri to set for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.